<div>
    <mat-toolbar color="accent" fxLayout="row">
        <span fxFlex="nogrow">{{ ('NAV.SETTINGS' | translate) }}</span>
        <span fxFlex="auto" fxFlexFill></span>

        <div fxFlex="1 1 0">
            <button mat-icon-button class="mr-2"
                (click)="onSubmit()">
                <mat-icon>done_all</mat-icon>
            </button>
        </div>
    </mat-toolbar>
    <div class="mt-4 mx-2">
        <form [formGroup]="settingsForm">
            <div fxLayout="column">
                <mat-form-field appearance="fill">
                    <mat-label>{{ 'SETTINGS.MAIN_CURRENCY' | translate }}</mat-label>
                    <mat-select formControlName="mainCurrencyId">
                        <mat-option *ngFor="let currency of currencyList"
                            [value]="currency.id">
                            {{ currency.name }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>

                <mat-form-field appearance="fill">
                    <mat-label for="apiType">{{ 'SETTINGS.EXCHANGE_API' | translate }}</mat-label>
                    <mat-select formControlName="apiType">
                        <mat-option [value]="0">{{ 'SETTINGS.NO_EXCHANGE_API' | translate
                            }}</mat-option>
                        <mat-option *ngFor="let api of exchangeApis"
                            [value]="api">
                            {{ api }}
                        </mat-option>
                    </mat-select>
                </mat-form-field>

                <mat-form-field appearance="fill">
                    <mat-label>{{ 'SETTINGS.EXCHANGE_API_KEY' | translate }}</mat-label>
                    <input matInput autocomplete="off" formControlName="apiKey">
                </mat-form-field>

                <mat-form-field appearance="fill">
                    <mat-label>{{ 'SETTINGS.STALE_DAYS' | translate
                        }}</mat-label>
                    <input matInput autocomplete="off" formControlName="staleDays" type="number" />
                </mat-form-field>
            </div>
        </form>
    </div>
</div>